using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SUIPanelStart : SFramework.SUIObjectBase {

    private GameObject _textWelcome;

    public override void UI_Awake()
    {
        GameObject canvas = GameObject.Find("Canvas_Start(Clone)");
        Debug.Assert(canvas != null);

        _rootPanel = canvas.transform.Find("Panel_Start").gameObject;
        Debug.Assert(_rootPanel != null);

        _textWelcome = _rootPanel.transform.Find("Text_Welcome").gameObject;
        Debug.Assert(_textWelcome != null);
    }

    public override void UI_Start()
    {
        _textWelcome.GetComponent<UnityEngine.UI.Text>().text = "jxf Welcome to start scene.\nControl by SUIPanelStart.";
    }
}
